0
Not a bug

error on install on fedora 20

Hossein Azizabadi 6 years ago updated 6 years ago 2
Hello
I try install ajenti on fedora 20 and I hava erros liks this :

# yum install ajenti
Loaded plugins: fastestmirror, langpacks, local, refresh-packagekit
http://repos.fedorapeople.org/repos/spot/chromium-stable/fedora-20/x86_64/repodata/repomd.xml: [Errno 14] HTTP Error 404 - Not Found
Trying other mirror.
Loading mirror speeds from cached hostfile
* fedora: mirror.nus.edu.sg
* rpmfusion-free: mirror.cse.iitk.ac.in
* rpmfusion-free-updates: mirror.cse.iitk.ac.in
* rpmfusion-nonfree: mirror.smartmedia.net.id
* rpmfusion-nonfree-updates: mirror.smartmedia.net.id
* russianfedora-free: pikeman.yandex.net
* russianfedora-free-updates: pikeman.yandex.net
* russianfedora-nonfree: pikeman.yandex.net
* russianfedora-nonfree-updates: pikeman.yandex.net
* updates: ftp.jaist.ac.jp
Resolving Dependencies
--> Running transaction check
---> Package ajenti.noarch 0:1.2.20.3-1 will be installed
--> Processing Dependency: python(abi) = 2.6 for package: ajenti-1.2.20.3-1.noarch
--> Processing Dependency: python-psutil >= 0.6.0 for package: ajenti-1.2.20.3-1.noarch
--> Processing Dependency: reconfigure >= 0.1.46 for package: ajenti-1.2.20.3-1.noarch
--> Processing Dependency: python-exconsole >= 0.1.5 for package: ajenti-1.2.20.3-1.noarch
--> Processing Dependency: python-daemon for package: ajenti-1.2.20.3-1.noarch
--> Processing Dependency: python-gevent-socketio for package: ajenti-1.2.20.3-1.noarch
--> Processing Dependency: python-ldap for package: ajenti-1.2.20.3-1.noarch
--> Processing Dependency: python-catcher for package: ajenti-1.2.20.3-1.noarch
--> Processing Dependency: python-gevent for package: ajenti-1.2.20.3-1.noarch
--> Processing Dependency: python-greenlet for package: ajenti-1.2.20.3-1.noarch
--> Processing Dependency: python-gevent-websocket for package: ajenti-1.2.20.3-1.noarch
--> Running transaction check
---> Package ajenti.noarch 0:1.2.20.3-1 will be installed
--> Processing Dependency: python(abi) = 2.6 for package: ajenti-1.2.20.3-1.noarch
---> Package python-catcher.noarch 0:0.1.7-1 will be installed
--> Processing Dependency: python(abi) = 2.6 for package: python-catcher-0.1.7-1.noarch
--> Processing Dependency: python-mako for package: python-catcher-0.1.7-1.noarch
---> Package python-daemon.noarch 0:1.6-5.fc20 will be installed
---> Package python-exconsole.noarch 0:0.1.5-1 will be installed
--> Processing Dependency: python(abi) = 2.6 for package: python-exconsole-0.1.5-1.noarch
---> Package python-gevent.x86_64 0:0.13.8-3.fc20 will be installed
---> Package python-gevent-socketio.noarch 0:0.3.5_rc2-1 will be installed
--> Processing Dependency: python(abi) = 2.6 for package: python-gevent-socketio-0.3.5_rc2-1.noarch
---> Package python-gevent-websocket.noarch 0:0.3.6-3.fc20 will be installed
---> Package python-greenlet.x86_64 0:0.4.1-1.fc20 will be installed
---> Package python-ldap.x86_64 0:2.4.6-5.fc20 will be installed
---> Package python-psutil.x86_64 0:1.0.1-1.fc20 will be installed
---> Package reconfigure.noarch 0:0.1.46-1 will be installed
--> Processing Dependency: python(abi) = 2.6 for package: reconfigure-0.1.46-1.noarch
--> Running transaction check
---> Package ajenti.noarch 0:1.2.20.3-1 will be installed
--> Processing Dependency: python(abi) = 2.6 for package: ajenti-1.2.20.3-1.noarch
---> Package python-catcher.noarch 0:0.1.7-1 will be installed
--> Processing Dependency: python(abi) = 2.6 for package: python-catcher-0.1.7-1.noarch
---> Package python-exconsole.noarch 0:0.1.5-1 will be installed
--> Processing Dependency: python(abi) = 2.6 for package: python-exconsole-0.1.5-1.noarch
---> Package python-gevent-socketio.noarch 0:0.3.5_rc2-1 will be installed
--> Processing Dependency: python(abi) = 2.6 for package: python-gevent-socketio-0.3.5_rc2-1.noarch
---> Package python-mako.noarch 0:0.7.3-2.fc20 will be installed
--> Processing Dependency: python-markupsafe for package: python-mako-0.7.3-2.fc20.noarch
--> Processing Dependency: python-beaker for package: python-mako-0.7.3-2.fc20.noarch
---> Package reconfigure.noarch 0:0.1.46-1 will be installed
--> Processing Dependency: python(abi) = 2.6 for package: reconfigure-0.1.46-1.noarch
--> Running transaction check
---> Package ajenti.noarch 0:1.2.20.3-1 will be installed
--> Processing Dependency: python(abi) = 2.6 for package: ajenti-1.2.20.3-1.noarch
---> Package python-beaker.noarch 0:1.5.4-8.fc20 will be installed
--> Processing Dependency: python-paste for package: python-beaker-1.5.4-8.fc20.noarch
--> Processing Dependency: pycryptopp for package: python-beaker-1.5.4-8.fc20.noarch
---> Package python-catcher.noarch 0:0.1.7-1 will be installed
--> Processing Dependency: python(abi) = 2.6 for package: python-catcher-0.1.7-1.noarch
---> Package python-exconsole.noarch 0:0.1.5-1 will be installed
--> Processing Dependency: python(abi) = 2.6 for package: python-exconsole-0.1.5-1.noarch
---> Package python-gevent-socketio.noarch 0:0.3.5_rc2-1 will be installed
--> Processing Dependency: python(abi) = 2.6 for package: python-gevent-socketio-0.3.5_rc2-1.noarch
---> Package python-markupsafe.x86_64 0:0.18-1.fc20 will be installed
---> Package reconfigure.noarch 0:0.1.46-1 will be installed
--> Processing Dependency: python(abi) = 2.6 for package: reconfigure-0.1.46-1.noarch
--> Running transaction check
---> Package ajenti.noarch 0:1.2.20.3-1 will be installed
--> Processing Dependency: python(abi) = 2.6 for package: ajenti-1.2.20.3-1.noarch
---> Package pycryptopp.x86_64 0:0.6.0.1206569328141510525648634803928199668821045408958-4.fc20 will be installed
--> Processing Dependency: libcryptopp.so.6()(64bit) for package: pycryptopp-0.6.0.1206569328141510525648634803928199668821045408958-4.fc20.x86_64
---> Package python-catcher.noarch 0:0.1.7-1 will be installed
--> Processing Dependency: python(abi) = 2.6 for package: python-catcher-0.1.7-1.noarch
---> Package python-exconsole.noarch 0:0.1.5-1 will be installed
--> Processing Dependency: python(abi) = 2.6 for package: python-exconsole-0.1.5-1.noarch
---> Package python-gevent-socketio.noarch 0:0.3.5_rc2-1 will be installed
--> Processing Dependency: python(abi) = 2.6 for package: python-gevent-socketio-0.3.5_rc2-1.noarch
---> Package python-paste.noarch 0:1.7.5.1-9.20111221hg1498.fc20 will be installed
--> Processing Dependency: python-tempita for package: python-paste-1.7.5.1-9.20111221hg1498.fc20.noarch
--> Processing Dependency: python-setuptools for package: python-paste-1.7.5.1-9.20111221hg1498.fc20.noarch
--> Processing Dependency: pyOpenSSL for package: python-paste-1.7.5.1-9.20111221hg1498.fc20.noarch
---> Package reconfigure.noarch 0:0.1.46-1 will be installed
--> Processing Dependency: python(abi) = 2.6 for package: reconfigure-0.1.46-1.noarch
--> Running transaction check
---> Package ajenti.noarch 0:1.2.20.3-1 will be installed
--> Processing Dependency: python(abi) = 2.6 for package: ajenti-1.2.20.3-1.noarch
---> Package cryptopp.x86_64 0:5.6.2-3.fc20 will be installed
---> Package pyOpenSSL.x86_64 0:0.13.1-1.fc20 will be installed
---> Package python-catcher.noarch 0:0.1.7-1 will be installed
--> Processing Dependency: python(abi) = 2.6 for package: python-catcher-0.1.7-1.noarch
---> Package python-exconsole.noarch 0:0.1.5-1 will be installed
--> Processing Dependency: python(abi) = 2.6 for package: python-exconsole-0.1.5-1.noarch
---> Package python-gevent-socketio.noarch 0:0.3.5_rc2-1 will be installed
--> Processing Dependency: python(abi) = 2.6 for package: python-gevent-socketio-0.3.5_rc2-1.noarch
---> Package python-setuptools.noarch 0:1.4.2-1.fc20 will be installed
---> Package python-tempita.noarch 0:0.5.1-6.fc20 will be installed
---> Package reconfigure.noarch 0:0.1.46-1 will be installed
--> Processing Dependency: python(abi) = 2.6 for package: reconfigure-0.1.46-1.noarch
--> Finished Dependency Resolution
Error: Package: python-gevent-socketio-0.3.5_rc2-1.noarch (ajenti)
Requires: python(abi) = 2.6
Installed: python-2.7.5-11.fc20.x86_64 (@updates)
python(abi) = 2.7
python(abi) = 2.7
Installed: python3-3.3.2-11.fc20.x86_64 (@updates)
python(abi) = 3.3
Available: python-2.7.5-9.fc20.i686 (fedora)
python(abi) = 2.7
python(abi) = 2.7
Available: python3-3.3.2-8.fc20.i686 (fedora)
python(abi) = 3.3
Available: python3-3.3.2-10.fc20.x86_64 (_local)
python(abi) = 3.3
Error: Package: python-catcher-0.1.7-1.noarch (ajenti)
Requires: python(abi) = 2.6
Installed: python-2.7.5-11.fc20.x86_64 (@updates)
python(abi) = 2.7
python(abi) = 2.7
Installed: python3-3.3.2-11.fc20.x86_64 (@updates)
python(abi) = 3.3
Available: python-2.7.5-9.fc20.i686 (fedora)
python(abi) = 2.7
python(abi) = 2.7
Available: python3-3.3.2-8.fc20.i686 (fedora)
python(abi) = 3.3
Available: python3-3.3.2-10.fc20.x86_64 (_local)
python(abi) = 3.3
Error: Package: python-exconsole-0.1.5-1.noarch (ajenti)
Requires: python(abi) = 2.6
Installed: python-2.7.5-11.fc20.x86_64 (@updates)
python(abi) = 2.7
python(abi) = 2.7
Installed: python3-3.3.2-11.fc20.x86_64 (@updates)
python(abi) = 3.3
Available: python-2.7.5-9.fc20.i686 (fedora)
python(abi) = 2.7
python(abi) = 2.7
Available: python3-3.3.2-8.fc20.i686 (fedora)
python(abi) = 3.3
Available: python3-3.3.2-10.fc20.x86_64 (_local)
python(abi) = 3.3
Error: Package: ajenti-1.2.20.3-1.noarch (ajenti)
Requires: python(abi) = 2.6
Installed: python-2.7.5-11.fc20.x86_64 (@updates)
python(abi) = 2.7
python(abi) = 2.7
Installed: python3-3.3.2-11.fc20.x86_64 (@updates)
python(abi) = 3.3
Available: python-2.7.5-9.fc20.i686 (fedora)
python(abi) = 2.7
python(abi) = 2.7
Available: python3-3.3.2-8.fc20.i686 (fedora)
python(abi) = 3.3
Available: python3-3.3.2-10.fc20.x86_64 (_local)
python(abi) = 3.3
Error: Package: reconfigure-0.1.46-1.noarch (ajenti)
Requires: python(abi) = 2.6
Installed: python-2.7.5-11.fc20.x86_64 (@updates)
python(abi) = 2.7
python(abi) = 2.7
Installed: python3-3.3.2-11.fc20.x86_64 (@updates)
python(abi) = 3.3
Available: python-2.7.5-9.fc20.i686 (fedora)
python(abi) = 2.7
python(abi) = 2.7
Available: python3-3.3.2-8.fc20.i686 (fedora)
python(abi) = 3.3
Available: python3-3.3.2-10.fc20.x86_64 (_local)
python(abi) = 3.3
You could try using --skip-broken to work around the problem
** Found 1 pre-existing rpmdb problem(s), 'yum check' output follows:
kde-settings-kdm-20-12.fc20.noarch is a duplicate with kde-settings-kdm-19-23.fc19.noarch

Answer

+1
Answer
Not a bug
Unfortunately Fedora is not a supported distro. You can however install Ajenti through pip: http://support.ajenti.org/topic/349871-faq/
+1
Answer
Not a bug
Unfortunately Fedora is not a supported distro. You can however install Ajenti through pip: http://support.ajenti.org/topic/349871-faq/
Thanks for fast reply , I try install it on centos or ubuntu